All Versions
26
Latest Version
Avg Release Cycle
-
Latest Release
-

Changelog History
Page 2

  • v0.2.0 Changes

    • ⬇️ Dropped support for Rails 3.2, 4.0, 4.1 and Ruby 1.9.3 and Ruby less than Ruby 2.3. This means those versions or combinations may still work for you, but they will not be tested nor receive support.
    • ➕ Added support for Rails 6.0. Yeehaw!
    • 👌 Support for Taiwan 5-digit codes, thanks to ~ @ThomasChiesa
  • v0.1.1 Changes

    • 🛠 Relaxes UK / GB regex to support codes without whitespace. Fixes backward compatibility breaking in 0.0.20. ~ Thanks to @tom-lord
  • v0.1.0 Changes

    • ⬇️ Dropped support for Rails 4.0 and 4.1 and for older minor Ruby 2 versions. This means those versions or combinations will not be tested, they may still work but will not receive support. This change could potentially break some apps in the future. Also, gem is stable enough to merit a minor version. Hence, 0.1.0 is here.
    • ➕ Added support for Rails 5.1 and 5.2 ~ @Onumis
  • v0.0.20 Changes

    • 🔀 Merge UK and GB regex, using official regex provided by gob.uk. Breaks compatibility for codes without whitespace ~ @Onumis @dgilperez
  • v0.0.19 Changes

    • 🛠 Fixes JP and IE formats, thanks to ~ @timokleemann
  • v0.0.18 Changes

    • Adds support for excluded_country_codes in the validation setup.
    • ✂ Remove support for UAE, not reliable sources found, assume not used.
  • v0.0.17 Changes

    • ⚡️ Updates support for Luxembourg postal codes ~ @rivsc
  • v0.0.16 Changes

    • 👌 Support for old / new Israel postal codes ~ @EricLarch
  • v0.0.15 Changes

    • 👌 Support for old / new Lithuania postal codes ~ @EricLarch
  • v0.0.14 Changes

    • 👌 Support for Rails5 ~ @dgilperez